package sample.sample15;

public class 猫 implements 哺乳類 {
	public void 鳴く() {
		System.out.println("ニャー");
	}

	public String getName() {
		return "猫";
	}

	public void 食べる(食べ物 食べ物) {
		if (食べ物 instanceof 猫の食べ物) {
			System.out.println(食べ物.getName() + "を食べました");
		} else {
			System.out.println(食べ物.getName() + "は食べられません");
		}
	}
}
